From 49de211d0705e9e92fa58f93ff5845628bf973a9 Mon Sep 17 00:00:00 2001
From: Pengpeng Dong <dongpengpeng@uniontech.com>
Date: Mon, 7 Sep 2020 18:22:33 +0800
Subject: [PATCH v2] quartz: Fix crash when pVisible is NULL.

Signed-off-by: Pengpeng Dong <dongpengpeng@uniontech.com>
---
 dlls/quartz/window.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/dlls/quartz/window.c b/dlls/quartz/window.c
index 07e042eccd..69036628ad 100644
--- a/dlls/quartz/window.c
+++ b/dlls/quartz/window.c
@@ -330,6 +330,9 @@ HRESULT WINAPI BaseControlWindowImpl_put_Visible(IVideoWindow *iface, LONG visib
 
 HRESULT WINAPI BaseControlWindowImpl_get_Visible(IVideoWindow *iface, LONG *visible)
 {
+    if(!visible)
+        return E_POINTER;
+
     struct video_window *window = impl_from_IVideoWindow(iface);
 
     TRACE("window %p, visible %p.\n", window, visible);
-- 
2.20.1

